
Infrastructure - Task #3926

Story # 2192 (Closed): Implement NodeReplicationPolicy in Node Registry Service

add new attributes and object class to dataone ldap schema file 

2013-08-15 18:30 - Rob Nahf

Status: Closed Start date: 2013-08-15

Priority: Normal Due date:  

Assignee: Robert Waltz % Done: 100%

Category: d1_cn_buildout Estimated time: 0.00 hour

Target version: CCI-2.2.0   

Milestone: CCI-1.2 Story Points:  

Product Version: 1.2.0   

Description

to support implementation of NodeReplicationPolicy type in cn_nodeRegistry project. 

(in dataone_cn_os_core)

see http://mule1.dataone.org/ArchitectureDocs-current/apis/Types.html#Types.NodeReplicationPolicy for attributes

Add to d1Node

May have these attributes:

d1ReplicationPolicyMaxObjectSize 0 or 1

d1ReplicationPolicySpaceAllocated 0 or 1

d1ReplicationPolicyAllowedNode 0 or *

d1ReplicationPolicyAllowedObjectFormat 0 or *

Turns out it would be nice to added in an embedded server for unit testing instead of relying on an external implementation of

openldap

Related issues:

Related to Infrastructure - Story #4025: Release CCI 1.2.3 Features Closed 2013-10-02 2013-10-26

Associated revisions

Revision 67a8be98 - 2013-08-22 22:31 - Robert Waltz

refs #3926

added in a ApacheDS schema ldif file and a second ldif file that will provide some base objects needed for d1 ldap unit tests

Revision 12430 - 2013-08-22 22:31 - Robert Waltz

refs #3926

added in a ApacheDS schema ldif file and a second ldif file that will provide some base objects needed for d1 ldap unit tests

Revision 12430 - 2013-08-22 22:31 - Robert Waltz

refs #3926

added in a ApacheDS schema ldif file and a second ldif file that will provide some base objects needed for d1 ldap unit tests

Revision bfb4bf25 - 2013-08-22 22:32 - Robert Waltz

refs #3926
refactored ldap tests to take advantage of an ApacheDS embedded server instead of relying on an external implementation of openldap

Revision 12431 - 2013-08-22 22:32 - Robert Waltz

refs #3926

refactored ldap tests to take advantage of an ApacheDS embedded server instead of relying on an external implementation of openldap

Revision 12431 - 2013-08-22 22:32 - Robert Waltz

refs #3926

refactored ldap tests to take advantage of an ApacheDS embedded server instead of relying on an external implementation of openldap

Revision 1710a74f - 2013-10-17 16:42 - Robert Waltz

refs #3926

add new attributes and object class to dataone ldap schema

Revision 12730 - 2013-10-17 16:42 - Robert Waltz

refs #3926

add new attributes and object class to dataone ldap schema

Revision 12730 - 2013-10-17 16:42 - Robert Waltz

refs #3926

add new attributes and object class to dataone ldap schema

Revision 12730 - 2013-10-17 16:42 - Robert Waltz

refs #3926

add new attributes and object class to dataone ldap schema

Revision 12730 - 2013-10-17 16:42 - Robert Waltz

refs #3926

add new attributes and object class to dataone ldap schema

History

#1 - 2013-08-15 18:36 - Robert Waltz

- Description updated

#2 - 2013-08-15 19:16 - Robert Waltz

- Target version changed from 2013.37-Block.5.2 to 2013.33-Block.4.4

#3 - 2013-08-22 21:13 - Robert Waltz

- Description updated
#4 - 2013-08-22 22:29 - Robert Waltz

- Description updated

#5 - 2013-08-23 01:38 - Robert Waltz

- Milestone changed from None to CCI-1.2

- Status changed from New to In Progress

#6 - 2013-10-28 19:36 - Robert Waltz

- Status changed from In Progress to Closed

- translation missing: en.field_remaining_hours set to 0.0

- Product Version set to 1.2.0

#7 - 2013-10-28 21:10 - Robert Waltz

- Target version changed from 2013.33-Block.4.4 to 2013.46-Block.6.2

#8 - 2014-01-06 18:45 - Chris Jones

- Target version changed from 2013.46-Block.6.2 to 2014.8-Block.1.4

#9 - 2014-01-06 23:09 - Robert Waltz

- Target version changed from 2014.8-Block.1.4 to 2014.6-Block.1.3

#10 - 2014-03-14 18:17 - Robert Waltz

- Target version changed from 2014.6-Block.1.3 to 2014.14-Block.2.3

#11 - 2014-06-26 22:01 - Robert Waltz

- Target version changed from 2014.14-Block.2.3 to 2014.28-Block.4.2

#12 - 2014-07-29 19:52 - Robert Waltz

- Target version deleted (2014.28-Block.4.2)

#13 - 2014-09-02 18:34 - Rob Nahf

- Target version set to Release Backlog

#14 - 2014-09-24 18:07 - Robert Waltz

- Target version changed from Release Backlog to CCI-1.5.0

#15 - 2014-11-13 21:37 - Rob Nahf

- Target version changed from CCI-1.5.0 to CCI-1.5.1

#16 - 2015-01-06 18:41 - Dave Vieglais

- Target version changed from CCI-1.5.1 to CCI-2.0.0
